/***********************************************************
 文件名：06_DS18B20Temperature sensor.ino
  描述：获取温度值，串口打印数据。
  作者：陈志强
  日期：2022.11.2
***********************************************************/
#include <OneWire.h>
#include <DallasTemperature.h>

OneWire oneWire_6(6);//18B20数字温度传感器接 Arduino 上的数字引脚6口
DallasTemperature sensors_6(&oneWire_6);//将 oneWire 引用传递给DallasTemperature库
DeviceAddress insideThermometer;

float ds18b20_6_getTemp(int w) {
  sensors_6.requestTemperatures();//发送命令以获取温度
  if(w==0) {
    return sensors_6.getTempC(insideThermometer);
  }
  else {
    return sensors_6.getTempF(insideThermometer);
  }
}

void setup(){
  Serial.begin(9600);
  sensors_6.getAddress(insideThermometer, 0);
  sensors_6.setResolution(insideThermometer, 6);
}

void loop(){
  
  Serial.println(String("温度:") + String(ds18b20_6_getTemp(0)) + String("℃"));//以摄氏度为单位打印温度
  Serial.println(String("温度：") + String(ds18b20_6_getTemp(1)) + String("℉"));//以华氏度为单位打印温度
  Serial.println("");
  delay(1000);

}
